## ros-rolling-picknik-twist-controller 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(picknik_twist_controller)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(controller_interface REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(example_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(realtime_tools REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  controller_interface
  geometry_msgs
  example_interfaces
  realtime_tools
)

include_directories(include)

add_library(${PROJECT_NAME} SHARED src/picknik_twist_controller.cpp)
target_include_directories(${PROJECT_NAME} PRIVATE
  include
)

ament_target_dependencies(${PROJECT_NAME}
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "PICKNIK_TWIST_CONTROLLER_BUILDING_LIBRARY")
pluginlib_export_plugin_description_file(controller_interface controller_plugins.xml)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/
  DESTINATION include
)

install(FILES controller_plugins.xml
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
endif()

ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

ament_export_include_directories(
  include
)

ament_export_libraries(
  ${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-rolling-picknik-twist-controller (0.0.3-1jammy) jammy; urgency=high

  * Use Twist not TwistStamped (#11 <https://github.com/PickNikRobotics/picknik_controllers/issues/11>)
  * Contributors: Alex Moriarty

 -- lovro <lovro.ivanov@gmail.com>  Mon, 24 Jul 2023 03:00:00 -0000

ros-rolling-picknik-twist-controller (0.0.2-1jammy) jammy; urgency=high

  * fix typo (#10 <https://github.com/PickNikRobotics/picknik_controllers/issues/10>)
    ABI breaking change fixes a typo from original internal package rename for open sourcing
    PicknikTwistControler -> PicknikTwistController
  * Contributors: Anthony Baker

 -- lovro <lovro.ivanov@gmail.com>  Fri, 14 Jul 2023 03:00:00 -0000

ros-rolling-picknik-twist-controller (0.0.1-1jammy) jammy; urgency=high

  * Initial Release of picknik_twist_controller
    * Originally this was used internally and there was an attempt to release it to ros2_controllers here: https://github.com/ros-controls/ros2_controllers/pull/300
    * The goal is to still move this upstream but it needs to be refactored before going upstream.
  * twist_controller -> picknik_twist_controller (#3 <https://github.com/PickNikRobotics/picknik_controllers/issues/3>)
    * twist_controller -> picknik_twist_controller
    1. prefix twist_controller with picknik_twist_controller
    When we merge twist_controller into ros2_controllers we can depricate
    this one and not have naming conflicts as users migrate
    * cmake: 3.8 -> 3.16
    bump to oldest version used on Ubuntu Focal + ROS 2 Humble
    https://www.ros.org/reps/rep-2000.html#humble-hawksbill-may-2022-may-2027
    ---------
  * Contributors: Alexander Moriarty @moriarty, Anthony Baker @abake48, @livanov93, @destogl, @MarqRazz, @Abishalini, @JafarAbdi

 -- lovro <lovro.ivanov@gmail.com>  Tue, 11 Jul 2023 03:00:00 -0000

=== debian/control ===
Source: ros-rolling-picknik-twist-controller
Section: misc
Priority: optional
Maintainer: lovro <lovro.ivanov@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-controller-interface, ros-rolling-example-interfaces, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-realtime-tools, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-picknik-twist-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-controller-interface, ros-rolling-example-interfaces, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-realtime-tools, ros-rolling-ros-workspace
Description: Subscribes to twist msg and forwards to hardware

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-picknik-twist-controller//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
